Skip to main content
`Ctrl`+`K`

# VecScatterSetType

Builds a vector scatter, for a particular vector scatter implementation.

## Synopsis

    #include "petscsf.h"
    PetscErrorCode VecScatterSetType(VecScatter sf, VecScatterType type)

Collective

## Input Parameters

- sf - The `VecScatter` object

- type - The name of the vector scatter type

## Options Database Key

- -sf_type type - Sets the `VecScatterType`

## Note

Use `VecScatterDuplicate()` to form additional vectors scatter of the same type as an existing vector scatter.

## See Also

Low-level Vector Communication, `VecScatter`, `VecScatterType`, `VecScatterGetType()`, `VecScatterCreate()`

## Level

intermediate

## Location

src/vec/vec/utils/vscat.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages